net.sf.jasperreports.charts.base

## Class JRBaseTimePeriodSeries

- java.lang.Object
- - net.sf.jasperreports.charts.base.JRBaseTimePeriodSeries

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, JRTimePeriodSeries, JRCloneable
  Direct Known Subclasses:
    JRDesignTimePeriodSeries

      public class JRBaseTimePeriodSeries
      extends java.lang.Object
      implements JRTimePeriodSeries, java.io.Serializable

  Version:
    $Id: JRBaseTimePeriodSeries.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Flavius Sana (flavius_sana@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected JRExpression` | `endDateExpression`
    `protected JRHyperlink` | `itemHyperlink`
    `protected JRExpression` | `labelExpression`
    `protected JRExpression` | `seriesExpression`
    `protected JRExpression` | `startDateExpression`
    `protected JRExpression` | `valueExpression`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JRBaseTimePeriodSeries()`
    `` | `JRBaseTimePeriodSeries(JRTimePeriodSeries timePeriodSeries, JRBaseObjectFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `JRExpression` | `getEndDateExpression()`
    `JRHyperlink` | `getItemHyperlink()` Returns the hyperlink specification for chart items.
    `JRExpression` | `getLabelExpression()`
    `JRExpression` | `getSeriesExpression()`
    `JRExpression` | `getStartDateExpression()`
    `JRExpression` | `getValueExpression()`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### seriesExpression

          protected JRExpression seriesExpression

    - #### startDateExpression

          protected JRExpression startDateExpression

    - #### endDateExpression

          protected JRExpression endDateExpression

    - #### valueExpression

          protected JRExpression valueExpression

    - #### labelExpression

          protected JRExpression labelExpression

    - #### itemHyperlink

          protected JRHyperlink itemHyperlink

  - ### Constructor Detail

    - #### JRBaseTimePeriodSeries

          protected JRBaseTimePeriodSeries()

    - #### JRBaseTimePeriodSeries

          public JRBaseTimePeriodSeries(JRTimePeriodSeries timePeriodSeries,
                                JRBaseObjectFactory factory)

  - ### Method Detail

    - #### getSeriesExpression

          public JRExpression getSeriesExpression()

      Specified by:
        `getSeriesExpression` in interface `JRTimePeriodSeries`
      Returns:
        a `java.lang.Comparable` object that identifies each series.

    - #### getStartDateExpression

          public JRExpression getStartDateExpression()

      Specified by:
        `getStartDateExpression` in interface `JRTimePeriodSeries`
      Returns:
        a `java.util.Date` expression representing the start of the time period

    - #### getEndDateExpression

          public JRExpression getEndDateExpression()

      Specified by:
        `getEndDateExpression` in interface `JRTimePeriodSeries`
      Returns:
        a `java.util.Date` expression representing the end of the time period

    - #### getValueExpression

          public JRExpression getValueExpression()

      Specified by:
        `getValueExpression` in interface `JRTimePeriodSeries`
      Returns:
        a numeric expression representing the value associated with the time period.

    - #### getLabelExpression

          public JRExpression getLabelExpression()

      Specified by:
        `getLabelExpression` in interface `JRTimePeriodSeries`
      Returns:
        the label expression. If present, its values will be used to customize item labels in the resulting chart.

    - #### getItemHyperlink

          public JRHyperlink getItemHyperlink()

      Description copied from interface: `JRTimePeriodSeries`
      Returns the hyperlink specification for chart items.

      The hyperlink will be evaluated for every chart item and a image map will be created for the chart.

      Specified by:
        `getItemHyperlink` in interface `JRTimePeriodSeries`
      Returns:
        hyperlink specification for chart items

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `java.lang.Object`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com